%global	momorel 1
Name:		hyperestraier
Summary:	full-text search system
Version:	1.4.2
Release:	%{momorel}m
License:	LGPL
Group:		Development/Libraries
URL:		http://hyperestraier.sourceforge.net/
%global src0_md5sum bc0baaa74f460866bf2ddb3b562d6080
%NoSource 0 http://hyperestraier.sourceforge.net/hyperestraier-%{version}.tar.gz %{src0_md5sum}
NoSource:	0
Source1:	estmaster.init
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	qdbm-devel >= 1.8.65, mecab-devel
Requires:	qdbm >= 1.8.65, mecab
PreReq:         chkconfig,shadow-utils

%description
Hyper Estraier is a full-text search system

%prep
%setup -q

%build
%configure --enable-mecab
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_initscriptdir}
install -m700 $RPM_SOURCE_DIR/estmaster.init %{buildroot}%{_initscriptdir}/estmaster

%clean
rm -rf %{buildroot}

%pre
# pre first installation
if [ $1 -eq 1 ] ; then
	mkdir %{_localstatedir}/hyperestraier 2>/dev/null
	groupadd -g 98 estraier
	useradd -u 98 -g 98 -s /sbin/nologin -d %{_localstatedir}/hyperestraier -m -k /dev/null estraier
	chown estraier.estraier %{_localstatedir}/hyperestraier
	chmod 700 %{_localstatedir}/hyperestraier
fi

%post
# post first installation
if [ $1 -eq 1 ] ; then
	chkconfig --add estmaster
	%{_initscriptdir}/estmaster stop > /dev/null 2>&1
	sudo -u estraier /usr/bin/estmaster init %{_localstatedir}/hyperestraier > /dev/null 2>&1
	mkdir -p /var/log/hyperestraier 2>/dev/null
	chown estraier.estraier /var/log/hyperestraier
	chmod 700 /var/log/hyperestraier
	sed 's@logfile: _log@logfile: /var/log/hyperestraier/estmaster.log@' %{_localstatedir}/hyperestraier/_conf > %{_localstatedir}/hyperestraier/_conf.tmp
	mv -f %{_localstatedir}/hyperestraier/_conf.tmp %{_localstatedir}/hyperestraier/_conf
	chown estraier.estraier %{_localstatedir}/hyperestraier/_conf
	chmod 644 %{_localstatedir}/hyperestraier/_conf
fi

%preun
# pre uninstallation
if [ $1 -eq 0 ] ; then
	%{_initscriptdir}/estmaster stop > /dev/null 2>&1
	chkconfig --del estmaster 2>/dev/null
fi

%postun
# post uninstallation
if [ $1 -eq 0 ] ; then
	chown root.root /var/log/hyperestraier 2>/dev/null
	rm -rf %{_localstatedir}/hyperestraier/*
	userdel -r estraier 2>/dev/null
	rm -rf /var/log/hyperestraier
fi

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/pkgconfig/*
%{_libexecdir}/*
%{_includedir}/*
%{_datadir}/hyperestraier
%{_initscriptdir}/estmaster
%{_mandir}/*/*

%changelog
* Sun Sep 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.2-1m)
- update to 1.4.2

* Wed Aug 18 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.7-1m)
- update to 1.3.7
- update BuildRequires:	qdbm-devel >= 1.8.65

* Tue Aug  1 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.3.3-2m)
- enable mecab

* Tue Jul 18 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.3-1m)
- update to 1.3.3
- update BuildRequires:	qdbm >= 1.8.60

* Sun Jun 11 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.8-1m)
- update to 1.2.8

* Thu May 25 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.7-1m)
- update to 1.2.7

* Mon Apr 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Thu Mar 09 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.4-1m)
- update to 1.1.4
- use %%make

* Thu Feb 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.3-1m)
- update to 1.1.3

* Sun Dec 18 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.2-1m)
- update to 1.1.2

* Sun Dec 11 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.1-1m)
- update to 1.1.1
- update BuildRequires:	qdbm >= 1.8.35

* Fri Nov 18 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.6-1m)
- update to 1.0.6

* Sat Nov 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-1m)
- update to 1.0.5

* Wed Nov 09 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-1m)
- update to 1.0.4

* Fri Nov 04 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.3-1m)
- update to 1.0.3

* Fri Oct 28 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-1m)
- update to 1.0.2

* Fri Oct 21 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Mon Oct 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-1m)
- update to 1.0.0

* Sat Oct 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2

* Sun Oct 02 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-1m)
- update to 0.9.1
- add man at files

* Fri Sep 23 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0-1m)
- update to 0.9.0

* Thu Sep 15 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.7-1m)
- update to 0.5.7

* Thu Sep 08 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.6-1m)
- update to 0.5.6

* Thu Sep 08 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.5-3m)
- adapt for momonga
- - comment out BuildRequires: libconv
- - comment out Requires: libconv

* Thu Sep 08 2005 Uta <webmaster@u-jp.com>
- pre/post script bug fix

* Fri Sep 02 2005 Uta <webmaster@u-jp.com>
- initial release

